#include "EmptyManager.h"

namespace WaypointManager {

WaypointManager::EmptyManager::EmptyManager(Settings &settings, AreaInterface &)
    : ManagerBase(settings) {}

void WaypointManager::EmptyManager::clear() {}

bool WaypointManager::EmptyManager::update() { return true; }

bool WaypointManager::EmptyManager::next() { return true; }

bool WaypointManager::EmptyManager::previous() { return true; }

bool WaypointManager::EmptyManager::reset() { return true; }

} // namespace WaypointManager
